Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Source Invite

POST/sources/invite
Authorization
AuthorizationBearer token · headerrequired
Request body
requiredapplication/json
to_emailstringrequired

Email address of the user to invite

messagestringrequired

Custom message to include in the invitation

connectorTypestringrequired

Type of connector being shared

returnUrlstring | null

URL to redirect to after invitation is accepted

Show properties
Any of:
string
string
null
null
Responses
200

Successful Response

any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST 'https://api.streamkap.com/sources/invite' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "to_email": "string",
  "message": "string",
  "connectorType": "string",
  "returnUrl": "string"
}'
Response
Successful Response